---
updatedAt: 2026-04-23T10:06:58.000Z
---

Fetch the complete documentation index at: https://developers.smartrecruiters.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Lists active postings published by given company

Lists active postings published by given company. Return PostingList. The internal_postings_read OAuth scope is only required when the destination query parameter is INTERNAL or INTERNAL_OR_PUBLIC.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1",
    "title": "Posting API - version 1",
    "contact": {
      "name": "SmartRecruiters",
      "url": "https://developers.smartrecruiters.com"
    }
  },
  "servers": [
    {
      "url": "https://api.smartrecruiters.com"
    }
  ],
  "paths": {
    "/v1/companies/{companyIdentifier}/postings": {
      "get": {
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "$ref": "#/components/schemas/PostingList"
                }
              }
            }
          }
        },
        "description": "Lists active postings published by given company. Return PostingList. The internal_postings_read OAuth scope is only required when the destination query parameter is INTERNAL or INTERNAL_OR_PUBLIC.",
        "tags": [
          "postings"
        ],
        "summary": "Lists active postings published by given company",
        "operationId": "v1.listPostings",
        "security": [
          {},
          {
            "key": []
          },
          {
            "oauth": [
              "internal_postings_read"
            ]
          }
        ],
        "parameters": [
          {
            "in": "header",
            "description": "Language of translation",
            "name": "accept-language",
            "schema": {
              "$ref": "#/components/schemas/JobAdLanguageCode"
            }
          },
          {
            "in": "path",
            "description": "Identifier of a company",
            "name": "companyIdentifier",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "full-text search query based on a job title, location",
            "name": "q",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "number of elements to return. max value is 100",
            "name": "limit",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "description": "number of elements to skip while processing result",
            "name": "offset",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "description": "Filter indicating which postings to return:\n* **PUBLIC**: response will include ONLY public postings\n* **INTERNAL**: response will include ONLY internal postings\n* **INTERNAL_OR_PUBLIC**: response will include internal postings or public postings, but not both for a single job. If a job has both types of postings, only internal postings will be returned. NOTE: when selected, all postings, internal and public, will be treated as internal. Among other things, this means that screening questions will not be displayed, and candidates will be marked with the EMPLOYEE label.\n",
            "name": "destination",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "PUBLIC",
                "INTERNAL",
                "INTERNAL_OR_PUBLIC"
              ]
            }
          },
          {
            "in": "query",
            "description": "Filter indicating which postings to return:\n* **REMOTE**: response will include ONLY postings with remote location type\n* **HYBRID**: response will include ONLY postings with hybrid location type\n* **ONSITE**: response will include ONLY postings with onsite location type\n* **ANY**: response will include ANY location type\n",
            "name": "locationType",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "REMOTE",
                  "HYBRID",
                  "ONSITE",
                  "ANY"
                ]
              }
            }
          },
          {
            "in": "query",
            "description": "country code filter (part of the location object)",
            "name": "country",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "region filter (part of the location object)",
            "name": "region",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "city filter (part of the location object)",
            "name": "city",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "department filter (department id)",
            "name": "department",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "description": "job ad id filter",
            "name": "jobAdId",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "in": "query",
            "description": "Job ad language; accepts 2-letter ISO 639-1 language code; multiple codes can be provided, separated by comma (\",\")\nExceptions to the language code ISO format:\n* \"en-GB\" - \"English - English (UK)\"\n* \"fr-CA\" - \"French - français (Canada)\"\n* \"pt-BR\" - \"Portugal - português (Brasil)\"\n* \"pt-PT\" - \"Portugal - português (Portugal)\"\n* \"zh-TW\" - \"Chinese (Traditional) - 中文 (香港)\"\n* \"zh-CN\" - \"Chinese (Simplified) - 中文 (简体)\"\n",
            "name": "language",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/JobAdLanguageCode"
              }
            }
          },
          {
            "in": "query",
            "description": "Released after filter (ISO8601-formatted)\nFormat: yyyy-MM-ddTHH:mm:ss.SSSZZ\n",
            "name": "releasedAfter",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "in": "query",
            "description": "Filters postings by custom fields. Multiple custom field values can be provided, separated by comma (\",\").\nFormat: custom_field.CUSTOM_FIELD_ID=CUSTOM_FIELD_VALUE1_ID,CUSTOM_FIELD_VALUE2_ID\n",
            "name": "customField",
            "required": false,
            "style": "form",
            "schema": {
              "type": "object",
              "propertyNames": {
                "pattern": "^custom_field\\.[^\\s]+$"
              },
              "additionalProperties": {
                "type": "string",
                "pattern": "^[^\\s]+$"
              },
              "examples": [
                {
                  "custom_field.52d95747e4b0ba7acb9217ea": "23aba1d4-4c81-48f7-9ae2-3ab84ee32a80"
                }
              ]
            }
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "postings",
      "description": "Posting API"
    }
  ],
  "components": {
    "securitySchemes": {
      "key": {
        "type": "apiKey",
        "in": "header",
        "name": "x-smarttoken"
      },
      "oauth": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://api.smartrecruiters.com/identity/oauth/token",
            "scopes": {
              "internal_postings_read": "Access company postings"
            }
          }
        }
      }
    },
    "schemas": {
      "Department": {
        "type": "object",
        "required": [
          "label"
        ],
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        }
      },
      "PostingList": {
        "type": "object",
        "properties": {
          "totalFound": {
            "type": "integer"
          },
          "limit": {
            "type": "integer"
          },
          "offset": {
            "type": "integer"
          },
          "content": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PostingItem"
            }
          }
        }
      },
      "PostingItem": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "uuid": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "jobAdId": {
            "type": "string",
            "format": "uuid"
          },
          "defaultJobAd": {
            "type": "boolean"
          },
          "refNumber": {
            "type": "string"
          },
          "company": {
            "$ref": "#/components/schemas/Company"
          },
          "releasedDate": {
            "type": "string",
            "format": "date-time"
          },
          "location": {
            "$ref": "#/components/schemas/PostingLocation"
          },
          "industry": {
            "$ref": "#/components/schemas/Industry"
          },
          "department": {
            "$ref": "#/components/schemas/Department"
          },
          "function": {
            "$ref": "#/components/schemas/Function"
          },
          "typeOfEmployment": {
            "$ref": "#/components/schemas/TypeOfEmployment"
          },
          "experienceLevel": {
            "$ref": "#/components/schemas/ExperienceLevel"
          },
          "customField": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CustomField"
            }
          },
          "ref": {
            "type": "string"
          },
          "creator": {
            "$ref": "#/components/schemas/Creator"
          },
          "language": {
            "$ref": "#/components/schemas/Language"
          },
          "visibility": {
            "$ref": "#/components/schemas/Visibility"
          }
        }
      },
      "Company": {
        "type": "object",
        "properties": {
          "identifier": {
            "type": "string"
          },
          "name": {
            "type": "string"
          }
        }
      },
      "PostingLocation": {
        "type": "object",
        "properties": {
          "country": {
            "type": "string",
            "description": "ISO 2-letter country code"
          },
          "region": {
            "type": "string",
            "description": "This can be state, colloquial name, voivodeship or other area description"
          },
          "city": {
            "type": "string"
          },
          "remote": {
            "type": "boolean",
            "description": "Indicates if employees can work remotely"
          },
          "hybrid": {
            "type": "boolean",
            "description": "Indicates if employees can work in hybrid mode"
          },
          "latitude": {
            "type": "string"
          },
          "longitude": {
            "type": "string"
          }
        }
      },
      "Function": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          }
        }
      },
      "TypeOfEmployment": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          }
        }
      },
      "ExperienceLevel": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "enum": [
              "associate",
              "director",
              "entry_level",
              "executive",
              "internship",
              "mid_senior_level",
              "not_applicable"
            ]
          },
          "name": {
            "type": "string"
          }
        }
      },
      "CustomField": {
        "type": "object",
        "properties": {
          "fieldId": {
            "type": "string"
          },
          "fieldLabel": {
            "type": "string"
          },
          "valueId": {
            "type": "string"
          },
          "valueLabel": {
            "type": "string"
          }
        }
      },
      "Creator": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          }
        }
      },
      "Language": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "labelNative": {
            "type": "string"
          }
        }
      },
      "Industry": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          }
        }
      },
      "JobAdLanguageCode": {
        "type": "string",
        "enum": [
          "af",
          "am",
          "ar",
          "az",
          "bg",
          "bn",
          "ca",
          "cs",
          "cy",
          "da",
          "de",
          "el",
          "en",
          "en-GB",
          "es",
          "es-MX",
          "et",
          "eu",
          "fa",
          "fi",
          "fil",
          "fr",
          "fr-CA",
          "ga",
          "gl",
          "gu",
          "he",
          "hi",
          "hr",
          "hu",
          "hy",
          "id",
          "is",
          "it",
          "ja",
          "ka",
          "km",
          "kn",
          "ko",
          "lo",
          "lt",
          "lv",
          "ml",
          "mn",
          "mr",
          "ms",
          "ne",
          "nl",
          "no",
          "pl",
          "pt",
          "pt-BR",
          "ro",
          "ru",
          "si",
          "sk",
          "sl",
          "sr",
          "sv",
          "sw",
          "ta",
          "te",
          "tr",
          "uk",
          "ur",
          "vi",
          "zh-CN",
          "zh-TW",
          "zu",
          "en-AU"
        ]
      },
      "Visibility": {
        "type": "string",
        "enum": [
          "PUBLIC",
          "INTERNAL"
        ]
      }
    }
  }
}
```